wayland::server::shell_surface_transient(3)

NAME
wayland::server::shell_surface_transient - details of transient behaviour

SYNOPSIS

#include <wayland-server-protocol.hpp>

Inherits wayland::detail::bitfield< size, id >.

  Static Public Attributes

static const wayland::detail::bitfield< 1, 9 > inactive
do not set keyboard focus

Detailed Description

details of transient behaviour

These flags specify details of the expected behaviour of transient surfaces. Used in the set_transient request.

Definition at line 2062 of file wayland-server-protocol.hpp.

Member Data Documentation

  const wayland::detail::bitfield<1, 9> wayland::server::shell_surface_transient::inactive [static]

do not set keyboard focus

Definition at line 2069 of file wayland-server-protocol.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.